package com.ajb.car.quotation.service;

import java.util.List;
import org.springframework.data.domain.Sort;

import com.ajb.car.entity.quotation.AgPoQuotationVehicleRelation;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface AgPoQuotationVehicleRelationService {
	AgPoQuotationVehicleRelation save(AgPoQuotationVehicleRelation agpoquotationvehiclerelation);
	Boolean delete (Long id);
	AgPoQuotationVehicleRelation update(AgPoQuotationVehicleRelation agpoquotationvehiclerelation);
	AgPoQuotationVehicleRelation findById(Long id);
	Page<AgPoQuotationVehicleRelation> findByObjPageable(AgPoQuotationVehicleRelation agpoquotationvehiclerelation,Pageable pageable);
	List<AgPoQuotationVehicleRelation> findByObjSortable(AgPoQuotationVehicleRelation agpoquotationvehiclerelation,Sort sort);
}